// -*- c++ -*-

#ifndef KRFBOPTIONS_H
#define KRFBOPTIONS_H

class KConfig;

class KRFBOptions
{
public:
  KRFBOptions();
  ~KRFBOptions();

  int encodings();
  void readSettings( KConfig *config );
  void writeSettings( KConfig *config );

  bool hexTile;
  bool corre;
  bool rre;
  bool copyrect;
    
  bool colors256;
  bool shared;
  bool readOnly;
  bool deIconify;
};

#endif // KRFBOPTIONS_H
